// savename.cpp : implementation file
//

#include "stdafx.h"
#include "Ecopay.h"
#include "savename.h"

// savename dialog
CString ergebnissavename = "";

IMPLEMENT_DYNAMIC(savename, CDialog)

savename::savename(CWnd* pParent /*=NULL*/)
: CDialog(savename::IDD, pParent)
{

}

savename::~savename()
{
}

void savename::DoDataExchange( CDataExchange* pDX)
{
    CDialog::DoDataExchange( pDX);
    DDX_Control( pDX, IDC_EDIT1, m_name);
}

BEGIN_MESSAGE_MAP(savename, CDialog)
ON_BN_CLICKED(IDOK, &savename::OnBnClickedOk)
ON_BN_CLICKED(IDCANCEL, &savename::OnBnClickedCancel)
END_MESSAGE_MAP()

// savename message handlers

void savename::OnBnClickedOk()
{
    // TODO: Add your control notification handler code here
    m_name.GetWindowTextA(ergebnissavename);
    if(ergebnissavename != "")
    OnOK();
    else
    AfxMessageBox("Sie muessen Bitte erst einen Namen eingeben",MB_YESNO,0);;
}

void savename::OnBnClickedCancel()
{
    // TODO: Add your control notification handler code here
    OnCancel();
}
